
SET search_path TO mgportal;

DO $$
    BEGIN
        BEGIN
            ALTER TABLE mgportal.devices ADD COLUMN hostname VARCHAR DEFAULT NULL;
        EXCEPTION
            WHEN duplicate_column THEN RAISE NOTICE 'column hostname already exists in mgportal.devices.';
        END;
        BEGIN
            ALTER TABLE mgportal.devices ADD COLUMN tunnel INTEGER DEFAULT 0;
        EXCEPTION
            WHEN duplicate_column THEN RAISE NOTICE 'column tunnel already exists in mgportal.devices.';
        END;
        BEGIN
            ALTER TABLE mgportal.devices ADD COLUMN activity SMALLINT DEFAULT 0;
        EXCEPTION
            WHEN duplicate_column THEN RAISE NOTICE 'column activity already exists in mgportal.devices.';
        END;
    END;
$$